Loading...
Searching...
No Matches
pcl::PointXY Struct Reference
Module common

A 2D point structure representing Euclidean xy coordinates. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | PointXY (float _x, float _y)
constexpr | PointXY ()
pcl::Vector2fMap | getVector2fMap ()
pcl::Vector2fMapConst | getVector2fMap () const

## Public Attributes

union { |
float data [2] |
struct { |
float x |
float y |
} |  |
}; |  |

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXY &p)

## Detailed Description

A 2D point structure representing Euclidean xy coordinates.

Definition at line 715 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXY() [1/2]

constexpr pcl::PointXY::PointXY | ( | float | _x,
|  | float | _y
| ) |  |

inline constexpr

Definition at line 727 of file point_types.hpp.

## PointXY() [2/2]

constexpr pcl::PointXY::PointXY | ( |  | ) |

inline constexpr

Definition at line 728 of file point_types.hpp.

## Member Function Documentation

## getVector2fMap() [1/2]

pcl::Vector2fMap pcl::PointXY::getVector2fMap | ( |  | ) |

inline

Definition at line 730 of file point_types.hpp.

## getVector2fMap() [2/2]

pcl::Vector2fMapConst pcl::PointXY::getVector2fMap | ( |  | ) | const

inline

Definition at line 731 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PointXY & | p
| ) |  |

friend

## Member Data Documentation

## [union]

union { ... } pcl::PointXY

## data

float pcl::PointXY::data[2]

Definition at line 719 of file point_types.hpp.

## x

float pcl::PointXY::x

Definition at line 722 of file point_types.hpp.

Referenced by pcl::visualization::ImageViewer::addMask(), pcl::visualization::ImageViewer::addPlanarPolygon(), pcl::visualization::ImageViewer::addRectangle(), pcl::visualization::ImageViewer::addRectangle(), pcl::TextureMapping< PointInT >::checkPointInsideTriangle(), pcl::search::OrganizedNeighbor< PointT >::estimateProjectionMatrix(), pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::get(), pcl::TextureMapping< PointInT >::getPointUVCoordinates(), pcl::TextureMapping< PointInT >::getTriangleCircumcenterAndSize(), pcl::TextureMapping< PointInT >::getTriangleCircumcscribedCircleCentroid(), pcl::isFinite< pcl::PointXY >(), pcl::search::OrganizedNeighbor< PointT >::projectPoint(), pcl::squaredEuclideanDistance(), and pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

## y

float pcl::PointXY::y

Definition at line 723 of file point_types.hpp.

Referenced by pcl::visualization::ImageViewer::addMask(), pcl::visualization::ImageViewer::addPlanarPolygon(), pcl::visualization::ImageViewer::addRectangle(), pcl::visualization::ImageViewer::addRectangle(), pcl::TextureMapping< PointInT >::checkPointInsideTriangle(), pcl::search::OrganizedNeighbor< PointT >::estimateProjectionMatrix(), pcl::common::CloudGenerator< pcl::PointXY, GeneratorT >::get(), pcl::TextureMapping< PointInT >::getPointUVCoordinates(), pcl::TextureMapping< PointInT >::getTriangleCircumcenterAndSize(), pcl::TextureMapping< PointInT >::getTriangleCircumcscribedCircleCentroid(), pcl::isFinite< pcl::PointXY >(), pcl::search::OrganizedNeighbor< PointT >::projectPoint(), pcl::squaredEuclideanDistance(), and pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp